// pages/returnMessage/index.js
Page({
	/**
	 * 页面的初始数据
	 */
	data: {
		success: false,
		fail: false,
		from: "",
		messageInfo: "",
		status: null,
	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad(options) {
		console.log(options);
		let type = options.type;
		this.setData({
			[type]: true,
			messageInfo: options.msg,
			from: options.from,
		});
		if (options.status) {
			this.setData({
				status: options.status,
			});
		}
		console.log(this.data);
	},

	/**
	 * 生命周期函数--监听页面初次渲染完成
	 */
	onReady() {},

	/**
	 * 生命周期函数--监听页面显示
	 */
	onShow() {},

	/**
	 * 生命周期函数--监听页面隐藏
	 */
	onHide() {},

	/**
	 * 生命周期函数--监听页面卸载
	 */
	onUnload() {},

	/**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
	onPullDownRefresh() {},

	/**
	 * 页面上拉触底事件的处理函数
	 */
	onReachBottom() {},

	/**
	 * 用户点击右上角分享
	 */
	onShareAppMessage1() {},
	finish() {
		// if (wx.getStorageSync("comeFromPage")) {
		// 	let from = wx.getStorageSync("comeFromPage");
		// 	wx.navigateTo({
		// 		url: `/pages/${from}/index`,
		// 	});
		// 	console.log(wx.getStorageSync("comeFromPage"));
		// }
    wx.switchTab({
      url: "/pages/mine/index",
    });
		// wx.navigateBack({
		// 	delta: 2,
		// });
	},
	/**
	 * 点击返回我的
	 *
	 *
	 */
	toMine(e) {
		console.log(e);
		if (this.data.from == "bill") {
      wx.reLaunch({
				url: "/pages/firstBill/index",
			});
		} else if (this.data.from == "real") {
			wx.reLaunch({
				url: "/pages/mine/index",
			});
		}
	},
});
